weka.classifiers.functions.explicitboundaries.gemoetry

## Interface DotProduct

- All Superinterfaces:
    IInstanceNormCalc
  All Known Implementing Classes:
    DotProductEuclidean

      public interface DotProduct
      extends IInstanceNormCalc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `dotProduct(weka.core.Instance inst1, weka.core.Instance inst2)` Calculate dot product between instances (vecttors)
    `double` | `norm(weka.core.Instance vec)` Calculates the dot-product-induced norm of the vector
    `weka.core.Instance` | `projection(weka.core.Instance inst1, weka.core.Instance inst2)` Calculates the projection of instance 1 (inst1) on instance 2 (inst2).

    - ### Methods inherited from interface weka.classifiers.functions.explicitboundaries.gemoetry.IInstanceNormCalc

      `normalize`

- - ### Method Detail

    - #### dotProduct

          double dotProduct(weka.core.Instance inst1,
                            weka.core.Instance inst2)
                     throws Exception

      Calculate dot product between instances (vecttors)
      Parameters:
        `inst1` - -- Instance 1
        `inst2` - -- Instance 2
      Returns:
        Dot product
      Throws:
        `Exception` - -- when instances or dataset are incompatible with each other
      Since:
        0.1.0

    - #### norm

          double norm(weka.core.Instance vec)
               throws Exception

      Calculates the dot-product-induced norm of the vector
      Specified by:
        `norm` in interface `IInstanceNormCalc`
      Parameters:
        `vec` -
      Returns:
      Throws:
        `Exception` - -- when instances or dataset are incompatible with each other
      Since:
        0.1.0

    - #### projection

          weka.core.Instance projection(weka.core.Instance inst1,
                                        weka.core.Instance inst2)
                                 throws Exception

      Calculates the projection of instance 1 (inst1) on instance 2 (inst2). The projection uses the above-defined dot product and norm.
      Parameters:
        `inst1` - -- Instance 1
        `inst2` - -- Instance 2
      Returns:
        Projection of inst1 on inst2
      Throws:
        `Exception` - -- when instances or dataset are incompatible with each other
      Since:
        1.4.0

Copyright © 2019. All Rights Reserved.